Subject: WARNING: There May Be Registered-Offenders in your area*

From: "Sex Offender Alerts ??? Kids Live Safe" <[email-masked]>
Date: Tue, 28 Oct 2014 12:06:09 -0700

Find out what registered offenders live in your area now - Go here